Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network74.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
74.0.0.0
Broadcast address
74.63.255.255
First usable
74.0.0.1
Last usable
74.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 4A000000 · Integer 1241513984 to 1245708287
Reverse DNS zones
0.74.in-addr.arpa
1.74.in-addr.arpa
2.74.in-addr.arpa
3.74.in-addr.arpa
4.74.in-addr.arpa
5.74.in-addr.arpa
6.74.in-addr.arpa
7.74.in-addr.arpa
8.74.in-addr.arpa
9.74.in-addr.arpa
10.74.in-addr.arpa
11.74.in-addr.arpa
12.74.in-addr.arpa
13.74.in-addr.arpa
14.74.in-addr.arpa
15.74.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001010.00000000.00000000.0000000074.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network01001010.00000000.00000000.0000000074.0.0.0
Broadcast01001010.00111111.11111111.1111111174.63.255.255
Split into smaller subnets/17

74.0.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
174.0.0.0/1774.0.0.1 to 74.0.127.25474.0.127.25532,766
274.0.128.0/1774.0.128.1 to 74.0.255.25474.0.255.25532,766
374.1.0.0/1774.1.0.1 to 74.1.127.25474.1.127.25532,766
474.1.128.0/1774.1.128.1 to 74.1.255.25474.1.255.25532,766
574.2.0.0/1774.2.0.1 to 74.2.127.25474.2.127.25532,766
674.2.128.0/1774.2.128.1 to 74.2.255.25474.2.255.25532,766
774.3.0.0/1774.3.0.1 to 74.3.127.25474.3.127.25532,766
874.3.128.0/1774.3.128.1 to 74.3.255.25474.3.255.25532,766
974.4.0.0/1774.4.0.1 to 74.4.127.25474.4.127.25532,766
1074.4.128.0/1774.4.128.1 to 74.4.255.25474.4.255.25532,766
1174.5.0.0/1774.5.0.1 to 74.5.127.25474.5.127.25532,766
1274.5.128.0/1774.5.128.1 to 74.5.255.25474.5.255.25532,766
1374.6.0.0/1774.6.0.1 to 74.6.127.25474.6.127.25532,766
1474.6.128.0/1774.6.128.1 to 74.6.255.25474.6.255.25532,766
1574.7.0.0/1774.7.0.1 to 74.7.127.25474.7.127.25532,766
1674.7.128.0/1774.7.128.1 to 74.7.255.25474.7.255.25532,766
1774.8.0.0/1774.8.0.1 to 74.8.127.25474.8.127.25532,766
1874.8.128.0/1774.8.128.1 to 74.8.255.25474.8.255.25532,766
1974.9.0.0/1774.9.0.1 to 74.9.127.25474.9.127.25532,766
2074.9.128.0/1774.9.128.1 to 74.9.255.25474.9.255.25532,766
2174.10.0.0/1774.10.0.1 to 74.10.127.25474.10.127.25532,766
2274.10.128.0/1774.10.128.1 to 74.10.255.25474.10.255.25532,766
2374.11.0.0/1774.11.0.1 to 74.11.127.25474.11.127.25532,766
2474.11.128.0/1774.11.128.1 to 74.11.255.25474.11.255.25532,766
2574.12.0.0/1774.12.0.1 to 74.12.127.25474.12.127.25532,766
2674.12.128.0/1774.12.128.1 to 74.12.255.25474.12.255.25532,766
2774.13.0.0/1774.13.0.1 to 74.13.127.25474.13.127.25532,766
2874.13.128.0/1774.13.128.1 to 74.13.255.25474.13.255.25532,766
2974.14.0.0/1774.14.0.1 to 74.14.127.25474.14.127.25532,766
3074.14.128.0/1774.14.128.1 to 74.14.255.25474.14.255.25532,766
3174.15.0.0/1774.15.0.1 to 74.15.127.25474.15.127.25532,766
3274.15.128.0/1774.15.128.1 to 74.15.255.25474.15.255.25532,766
3374.16.0.0/1774.16.0.1 to 74.16.127.25474.16.127.25532,766
3474.16.128.0/1774.16.128.1 to 74.16.255.25474.16.255.25532,766
3574.17.0.0/1774.17.0.1 to 74.17.127.25474.17.127.25532,766
3674.17.128.0/1774.17.128.1 to 74.17.255.25474.17.255.25532,766
3774.18.0.0/1774.18.0.1 to 74.18.127.25474.18.127.25532,766
3874.18.128.0/1774.18.128.1 to 74.18.255.25474.18.255.25532,766
3974.19.0.0/1774.19.0.1 to 74.19.127.25474.19.127.25532,766
4074.19.128.0/1774.19.128.1 to 74.19.255.25474.19.255.25532,766
4174.20.0.0/1774.20.0.1 to 74.20.127.25474.20.127.25532,766
4274.20.128.0/1774.20.128.1 to 74.20.255.25474.20.255.25532,766
4374.21.0.0/1774.21.0.1 to 74.21.127.25474.21.127.25532,766
4474.21.128.0/1774.21.128.1 to 74.21.255.25474.21.255.25532,766
4574.22.0.0/1774.22.0.1 to 74.22.127.25474.22.127.25532,766
4674.22.128.0/1774.22.128.1 to 74.22.255.25474.22.255.25532,766
4774.23.0.0/1774.23.0.1 to 74.23.127.25474.23.127.25532,766
4874.23.128.0/1774.23.128.1 to 74.23.255.25474.23.255.25532,766
4974.24.0.0/1774.24.0.1 to 74.24.127.25474.24.127.25532,766
5074.24.128.0/1774.24.128.1 to 74.24.255.25474.24.255.25532,766
5174.25.0.0/1774.25.0.1 to 74.25.127.25474.25.127.25532,766
5274.25.128.0/1774.25.128.1 to 74.25.255.25474.25.255.25532,766
5374.26.0.0/1774.26.0.1 to 74.26.127.25474.26.127.25532,766
5474.26.128.0/1774.26.128.1 to 74.26.255.25474.26.255.25532,766
5574.27.0.0/1774.27.0.1 to 74.27.127.25474.27.127.25532,766
5674.27.128.0/1774.27.128.1 to 74.27.255.25474.27.255.25532,766
5774.28.0.0/1774.28.0.1 to 74.28.127.25474.28.127.25532,766
5874.28.128.0/1774.28.128.1 to 74.28.255.25474.28.255.25532,766
5974.29.0.0/1774.29.0.1 to 74.29.127.25474.29.127.25532,766
6074.29.128.0/1774.29.128.1 to 74.29.255.25474.29.255.25532,766
6174.30.0.0/1774.30.0.1 to 74.30.127.25474.30.127.25532,766
6274.30.128.0/1774.30.128.1 to 74.30.255.25474.30.255.25532,766
6374.31.0.0/1774.31.0.1 to 74.31.127.25474.31.127.25532,766
6474.31.128.0/1774.31.128.1 to 74.31.255.25474.31.255.25532,766
6574.32.0.0/1774.32.0.1 to 74.32.127.25474.32.127.25532,766
6674.32.128.0/1774.32.128.1 to 74.32.255.25474.32.255.25532,766
6774.33.0.0/1774.33.0.1 to 74.33.127.25474.33.127.25532,766
6874.33.128.0/1774.33.128.1 to 74.33.255.25474.33.255.25532,766
6974.34.0.0/1774.34.0.1 to 74.34.127.25474.34.127.25532,766
7074.34.128.0/1774.34.128.1 to 74.34.255.25474.34.255.25532,766
7174.35.0.0/1774.35.0.1 to 74.35.127.25474.35.127.25532,766
7274.35.128.0/1774.35.128.1 to 74.35.255.25474.35.255.25532,766
7374.36.0.0/1774.36.0.1 to 74.36.127.25474.36.127.25532,766
7474.36.128.0/1774.36.128.1 to 74.36.255.25474.36.255.25532,766
7574.37.0.0/1774.37.0.1 to 74.37.127.25474.37.127.25532,766
7674.37.128.0/1774.37.128.1 to 74.37.255.25474.37.255.25532,766
7774.38.0.0/1774.38.0.1 to 74.38.127.25474.38.127.25532,766
7874.38.128.0/1774.38.128.1 to 74.38.255.25474.38.255.25532,766
7974.39.0.0/1774.39.0.1 to 74.39.127.25474.39.127.25532,766
8074.39.128.0/1774.39.128.1 to 74.39.255.25474.39.255.25532,766
8174.40.0.0/1774.40.0.1 to 74.40.127.25474.40.127.25532,766
8274.40.128.0/1774.40.128.1 to 74.40.255.25474.40.255.25532,766
8374.41.0.0/1774.41.0.1 to 74.41.127.25474.41.127.25532,766
8474.41.128.0/1774.41.128.1 to 74.41.255.25474.41.255.25532,766
8574.42.0.0/1774.42.0.1 to 74.42.127.25474.42.127.25532,766
8674.42.128.0/1774.42.128.1 to 74.42.255.25474.42.255.25532,766
8774.43.0.0/1774.43.0.1 to 74.43.127.25474.43.127.25532,766
8874.43.128.0/1774.43.128.1 to 74.43.255.25474.43.255.25532,766
8974.44.0.0/1774.44.0.1 to 74.44.127.25474.44.127.25532,766
9074.44.128.0/1774.44.128.1 to 74.44.255.25474.44.255.25532,766
9174.45.0.0/1774.45.0.1 to 74.45.127.25474.45.127.25532,766
9274.45.128.0/1774.45.128.1 to 74.45.255.25474.45.255.25532,766
9374.46.0.0/1774.46.0.1 to 74.46.127.25474.46.127.25532,766
9474.46.128.0/1774.46.128.1 to 74.46.255.25474.46.255.25532,766
9574.47.0.0/1774.47.0.1 to 74.47.127.25474.47.127.25532,766
9674.47.128.0/1774.47.128.1 to 74.47.255.25474.47.255.25532,766
9774.48.0.0/1774.48.0.1 to 74.48.127.25474.48.127.25532,766
9874.48.128.0/1774.48.128.1 to 74.48.255.25474.48.255.25532,766
9974.49.0.0/1774.49.0.1 to 74.49.127.25474.49.127.25532,766
10074.49.128.0/1774.49.128.1 to 74.49.255.25474.49.255.25532,766
10174.50.0.0/1774.50.0.1 to 74.50.127.25474.50.127.25532,766
10274.50.128.0/1774.50.128.1 to 74.50.255.25474.50.255.25532,766
10374.51.0.0/1774.51.0.1 to 74.51.127.25474.51.127.25532,766
10474.51.128.0/1774.51.128.1 to 74.51.255.25474.51.255.25532,766
10574.52.0.0/1774.52.0.1 to 74.52.127.25474.52.127.25532,766
10674.52.128.0/1774.52.128.1 to 74.52.255.25474.52.255.25532,766
10774.53.0.0/1774.53.0.1 to 74.53.127.25474.53.127.25532,766
10874.53.128.0/1774.53.128.1 to 74.53.255.25474.53.255.25532,766
10974.54.0.0/1774.54.0.1 to 74.54.127.25474.54.127.25532,766
11074.54.128.0/1774.54.128.1 to 74.54.255.25474.54.255.25532,766
11174.55.0.0/1774.55.0.1 to 74.55.127.25474.55.127.25532,766
11274.55.128.0/1774.55.128.1 to 74.55.255.25474.55.255.25532,766
11374.56.0.0/1774.56.0.1 to 74.56.127.25474.56.127.25532,766
11474.56.128.0/1774.56.128.1 to 74.56.255.25474.56.255.25532,766
11574.57.0.0/1774.57.0.1 to 74.57.127.25474.57.127.25532,766
11674.57.128.0/1774.57.128.1 to 74.57.255.25474.57.255.25532,766
11774.58.0.0/1774.58.0.1 to 74.58.127.25474.58.127.25532,766
11874.58.128.0/1774.58.128.1 to 74.58.255.25474.58.255.25532,766
11974.59.0.0/1774.59.0.1 to 74.59.127.25474.59.127.25532,766
12074.59.128.0/1774.59.128.1 to 74.59.255.25474.59.255.25532,766
12174.60.0.0/1774.60.0.1 to 74.60.127.25474.60.127.25532,766
12274.60.128.0/1774.60.128.1 to 74.60.255.25474.60.255.25532,766
12374.61.0.0/1774.61.0.1 to 74.61.127.25474.61.127.25532,766
12474.61.128.0/1774.61.128.1 to 74.61.255.25474.61.255.25532,766
12574.62.0.0/1774.62.0.1 to 74.62.127.25474.62.127.25532,766
12674.62.128.0/1774.62.128.1 to 74.62.255.25474.62.255.25532,766
12774.63.0.0/1774.63.0.1 to 74.63.127.25474.63.127.25532,766
12874.63.128.0/1774.63.128.1 to 74.63.255.25474.63.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses